Subject: Re: [PATCH v3 00/11][Outreachy] Improve the 'fixup [-C | -c]' in interactive rebase

From: Junio C Hamano <[email-masked]>
Date: Thu, 11 Feb 2021 14:44:52 -0800

Charvi Mendiratta <[email-masked]> writes:

> On Thu, 11 Feb 2021 at 22:49, Junio C Hamano <[email-masked]> wrote:
>>[...]
>> Thanks.  Looking good.  Unless there is any other nits, let's
>> declare victory and merge the two topics down to 'next' and then to
>> 'master' for the next release?
>
> Thanks for confirming. Here in these two topics  `fixup -C` works with
> "amend!" commit in interactive rebase and we are still working on some
> improvements on the new patch series ( to be sent)  that implements
> "amend! " commit . So I think to rebase that  work also on this topic,
> to make project history clear and avoid the confusion ( it also
> improves the same test script in this topic).
>
> So maybe please wait for that, before merging to master.

Sorry, but I do not quite understand.

Aren't you talking about adding even more features to what is
already there in the cm/rebase-i plus cm/rebase-i-updates topics?
Or are you saying that what is in these two topics is still buggy
and we need fixes to it before we can give them to the general
public?

I had an impression that it was the former, and if that is the case,
then moving them to 'next' and then to 'master', regardless of the
follow-up changes, would be a useful thing to do.  Of course, if it
is the latter, i.e. these two topics make "git rebase -i" worse by
introducing an unfinished feature that is not yet usable and/or
buggy without further work, yes, it would be prudent to wait merging
the cm/rebase-i-updates topic to 'next' and replace it with a fixed
version.

But then you'd be stopping me from merging the "updates" one to
'next', not to 'master'.